import 'package:flutter/material.dart';

class EmptyWidget extends StatelessWidget {
  final String tips;

  const EmptyWidget({Key key, this.tips = '暂无数据~'}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.center,
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        Image.asset(
          'assets/images/empty/empty.png',
          package: 'zhiying_base_widget',
        ),
        Padding(padding: const EdgeInsets.all(16.0),
            child: Text(tips, style: TextStyle(
              fontSize: 15,
              color: Color(0xff999999),
            ))),
      ],
    );
  }
}
